SELECT FirstName, LastName,
       Rate, RateChangeDate,
	   FIRST_VALUE(Rate) OVER (PARTITION BY EPH.BusinessEntityID ORDER BY RateChangeDate) as OrigRate
	FROM Person.Person
	  JOIN [HumanResources].[EmployeePayHistory] EPH
	    ON Person.BusinessEntityID = EPH.BusinessEntityID
	ORDER BY LastName, FirstName, RateChangeDate 