SELECT CustomerID, OrderDate,
       SUM(Subtotal) OVER (PARTITION BY CustomerID, YEAR(orderdate)) AS Yearly,
       SUM(Subtotal) OVER (PARTITION BY CustomerID, YEAR(orderdate), MONTH(orderdate)) AS Monthly,
       Avg(Subtotal) OVER (PARTITION BY CustomerID, Year(OrderDate) ORDER BY orderdate) AS MovingAvg	   
	FROM Sales.SalesOrderHeader SOH
	ORDER BY CustomerID, OrderDate;
