SELECT OrderDate, SalesPersonID, SubTotal,
       SUM(SubTotal) OVER (PARTITION BY SalesPersonID ORDER BY OrderDate ROWS BETWEEN CURRENT ROW AND UNBOUNDED FOLLOWING) AS ReverseRunningTotal
	FROM Sales.SalesOrderHeader SOH
	WHERE SalesPersonID IS NOT NULL 
	ORDER BY SalesPersonID, OrderDate;