SELECT DISTINCT Name, JobTitle,
         DENSE_RANK() OVER (PARTITION BY Department.DepartmentID ORDER BY JobTitle) AS JobSerial	
	FROM [HumanResources].[EmployeeDepartmentHistory]
	  JOIN [HumanResources].[Department]
	    ON EmployeeDepartmentHistory.DepartmentID = Department.DepartmentID
	  JOIN [HumanResources].[Employee]
	    ON EmployeeDepartmentHistory.BusinessEntityID = Employee.BusinessEntityID
	WHERE EndDate IS null
