SELECT DISTINCT OrderDate, YEAR(OrderDate) AS OrderYear,
	   COUNT(SalesOrderNumber) OVER (PARTITION BY YEAR(OrderDate)) AS OrdersThisYear,
	   COUNT(SalesOrderNumber) OVER (PARTITION BY YEAR(OrderDate) ORDER BY OrderDate) AS RunningOrdersThisYear
	FROM [Sales].[SalesOrderHeader]
	ORDER BY OrderDate