SELECT YEAR(OrderDate) AS OrderYear, ProductID, SUM(Quantity) AS NumSold ;
	FROM Orders ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2 ;
	ORDER BY 2, 1 ;
	INTO CURSOR csrYearlySales
	
SELECT Curr.ProductID, Curr.OrderYear, ;
       Prev.NumSold AS PrevYear, ;
       Curr.NumSold AS CurrYear, ;
       Foll.NumSold AS FollYear ;
	FROM csrYearlySales Curr ;
	  LEFT JOIN csrYearlySales Prev ;
	    ON Curr.ProductID = Prev.ProductID ;
	    AND Curr.OrderYear = Prev.OrderYear + 1;
	  LEFT JOIN csrYearlySales Foll ;
	    ON Curr.ProductID = Foll.ProductID ;
	    AND Curr.OrderYear = Foll.OrderYear - 1 ;
	ORDER BY 1, 2 ;
	INTO CURSOR csrThreeYears